<h1>PHP Architect - Guzzle Experiments</h1>
<?php

require("vendor/autoload.php");
require("src/GuzzleApp/ApiCaller.php");

use GuzzleApp\ApiCaller;
use Guzzle\Service\Client;
use Guzzle\Service\Description\ServiceDescription;

$apiObj = new ApiCaller();
$apiObj->doRedirectRequest();

$client = new Client("http://httpbin.org");

$description = ServiceDescription::factory('service.json');
$client->setDescription($description);

$command = $client->getCommand('GetUserAgent');
$responseModel = $client->execute($command);
echo $responseModel['user-agent'];

$command = $client->getCommand('TestGetRequest');
$responseModel = $client->execute($command);
var_dump($responseModel['headers']);


$batchList = array(
    'http://httpbin.org/gzip',
    'http://httpbin.org/ip',
    'http://httpbin.org/html'
);

$apiObj->batchTransfer($batchList);